repo/gentoo:master commit in: dev-lang/oorexx/

Maciej Barć <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786705222.7b523779950b9b37688c50101278e128d79b1488.xgqt@gentoo>
commit:     7b523779950b9b37688c50101278e128d79b1488
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 10:36:08 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 11:00:22 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b523779

dev-lang/oorexx: bump to 5.3.0_beta13196

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/oorexx/Manifest                      |  1 +
 dev-lang/oorexx/oorexx-5.3.0_beta13196.ebuild | 63 +++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-lang/oorexx/Manifest b/dev-lang/oorexx/Manifest
index 1fd44bc9a890..b91f08bb4fd7 100644
--- a/dev-lang/oorexx/Manifest
+++ b/dev-lang/oorexx/Manifest
@@ -1 +1,2 @@
 DIST oorexx-5.1.0-12932.tar.gz 6439361 BLAKE2B 5b9d98de50f345b5ebdcda01ef85a0e251f6ed079b9be659ba176b4f66b665099e223fd5292c274366bc4b7bad00a389fe25c1de8f987eb80a6446e8d30f3ce2 SHA512 9016c36ae98d937de4303988dd5f587372d07623938f2534021823a1bd4abf49cefae786e9a155aa239bd71d6aa2494539bcbe185587f5976f37f07477e98cb4
+DIST oorexx-5.3.0-13196.tar.gz 6758975 BLAKE2B 45226923fd9f618262ba9052c872550b2c5ea573031880acc7162fc59cdd0e66e18fdf50d483b3b51949dd02182bf523d6825973eace3f4ce02d2e33ace74886 SHA512 71aa3452a397128b047bb7aa7607afd48a78b8201c04e1579cbdb8b091c19dc84127df9db46ab181d963ceb5ec3aad83c777074feea5ba91a9be91240087cb96

diff --git a/dev-lang/oorexx/oorexx-5.3.0_beta13196.ebuild b/dev-lang/oorexx/oorexx-5.3.0_beta13196.ebuild
new file mode 100644
index 000000000000..6cb1b9709d86
--- /dev/null
+++ b/dev-lang/oorexx/oorexx-5.3.0_beta13196.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Open source implementation of Object Rexx"
+HOMEPAGE="https://www.oorexx.org/
+	https://sourceforge.net/projects/oorexx/"
+
+if [[ "${PV}" == *_beta* ]] ; then
+	REL="beta"
+else
+	REL=""
+fi
+
+REL_V="$(ver_cut 1-3)"
+APP_P="${P/_beta/-}"
+
+SRC_URI="https://downloads.sourceforge.net/project/${PN}/${PN}/${REL_V}${REL}/${APP_P}.tar.gz"
+S="${WORKDIR}/${APP_P}"
+
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+	!dev-lang/regina-rexx
+	sys-libs/ncurses:=
+	virtual/libcrypt:=
+"
+DEPEND="
+	${RDEPEND}
+"
+
+PATCHES=( "${FILESDIR}/oorexx-5.0.0-man.patch" )
+
+src_prepare() {
+	find ./samples/ -type f -iname "CMakeLists.txt" -exec sed -i {} \
+		-e "/cmake_minimum_required/I s|(.*)|(VERSION 3.20)|g"  \
+		-e "/cmake_policy.*/d" \; \
+		|| die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	# -Werror=strict-aliasing
+	# https://bugs.gentoo.org/952966
+	# https://sourceforge.net/p/oorexx/bugs/2029/
+	#
+	# Do not trust LTO either
+	append-flags -fno-strict-aliasing
+	filter-lto
+
+	# bug 924171
+	if use elibc_musl ; then
+		append-cppflags -D_LARGEFILE64_SOURCE
+	fi
+
+	cmake_src_configure
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.